# Fulfillment

API Methods for order processing and fulfillment.

 - [POST /api/SalesOrder/CreateSalesOrder](https://developer.wineshipping.com/api/v3.1/openapi/fulfillment/createsalesorder.md): Successful execution of this method will generate a new shipment order in Wineshipping's system and will return a transaction reference identifier. Store this identifier back into your system for refe
 - [POST /api/SalesOrder/UpdateSalesOrder](https://developer.wineshipping.com/api/v3.1/openapi/fulfillment/updatesalesorder.md): Use this operation to update an existing open sales order. If you are using the IsCancelOnly flag, please migrate to use the [Cancel Sales Order](CancelSalesOrder) method instead.
 - [PATCH /api/SalesOrder/Addresses](https://developer.wineshipping.com/api/v3.1/openapi/fulfillment/updatesalesorderaddresses.md): Use this operation to update the recipient (shipping) address, the delivery location, or both on an existing open sales order. RecipientContactInfo is the recipient's ship-to address, not a Wineshippi
 - [POST /api/SalesOrder/CancelSalesOrder](https://developer.wineshipping.com/api/v3.1/openapi/fulfillment/cancelsalesorder.md): Use this operation to cancel an existing open sales order. Successful execution of this method will cancel the sales order in Wineshipping system. If the order cannot be cancelled for some reason stan
 - [POST /api/SalesOrder/GetOrdersOnHold](https://developer.wineshipping.com/api/v3.1/openapi/fulfillment/getordersonhold.md): Use this operation to retrieve a list of on-hold orders for a customer. Successful execution of this method will generate a list of on hold orders from Wineshipping's system and if no orders are on ho
 - [POST /api/SalesOrder/GetReturns](https://developer.wineshipping.com/api/v3.1/openapi/fulfillment/getreturns.md): Use this operation to retrieve a list of return sales orders for a customer. Successful execution of this method will generate a list of returns from Wineshipping system.
 - [POST /api/SalesOrder/GenerateJitLabel](https://developer.wineshipping.com/api/v3.1/openapi/fulfillment/generatejitlabel.md): This method is used to generate a Just-In-Time shipping label for your Orders. It can be used to print just a label or a packingslip and a label. You can choose from PDF or PNG format.
 - [POST /api/SalesOrder/BatchSalesOrder](https://developer.wineshipping.com/api/v3.1/openapi/fulfillment/batchsalesorder.md): This operation is used to create new orders in batch. The response will contain order creation status for each order along with individual order transaction number for reference later in the event the
